<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/View/BackgroundTableViewCell.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_background_table_view_cell_8m_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BackgroundTableViewCell.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_background_table_view_cell_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="interface_background_table_view_cell.html#aeca391090f628da9eafc1f64e9f54670">    1</a></span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  BackgroundTableViewCell.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by zahir on 2017/7/6.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_background_table_view_cell_8h.html">BackgroundTableViewCell.h</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &lt;KKLThirdParty/Masonry.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">@implementation </span><a class="code" href="interface_background_table_view_cell.html">BackgroundTableViewCell</a></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="keyword">self</span> = [<span class="keyword">super</span> initWithStyle:style reuseIdentifier:reuseIdentifier];</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        UIImage *bgimg = [<span class="keyword">self</span> <a class="code" href="interface_background_table_view_cell.html#aadb68ed27754e33957cffdee9a1204cb">imageWithName</a>:@&quot;Rectangle&quot; <a class="code" href="interface_background_table_view_cell.html#aadb68ed27754e33957cffdee9a1204cb">insets</a>:UIEdgeInsetsMake(25, 35, 25, 35)];</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        _imageBackgroundView = [[UIImageView alloc] initWithImage:bgimg];</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        [<span class="keyword">self</span> insertSubview:_imageBackgroundView belowSubview:self.contentView];</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        _container = [[UIView alloc] initWithFrame:self.contentView.bounds];</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        [<span class="keyword">self</span>.contentView addSubview:_container];</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        [_imageBackgroundView mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;            make.left.equalTo(self);</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;            make.top.equalTo(self);</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;            make.right.equalTo(self);</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;            make.bottom.equalTo(self).offset(15);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        }];</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        [_container mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;            make.edges.equalTo(self.contentView).insets(UIEdgeInsetsMake(10, 15, 5, 15));</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        }];</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    }</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;}</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;- (UIImage *)imageWithName:(NSString *)imgName insets:(UIEdgeInsets)insets {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    UIImage *image = [UIImage imageNamed:imgName];</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    image = [image resizableImageWithCapInsets:insets resizingMode:UIImageResizingModeStretch];</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordflow">return</span> image;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;- (void)prepareCellForTableView:(UITableView *)tableView atIndexPath:(NSIndexPath *)indexPath</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;{</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    [[<span class="keyword">self</span> viewWithTag:102] removeFromSuperview];</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    NSInteger rowCount = [tableView numberOfRowsInSection:indexPath.section];</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordflow">if</span> (rowCount == 1) {</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keyword">self</span>.<a class="code" href="interface_background_table_view_cell.html#af04f185b09948944be22d537656b5ec6">imageBackgroundView</a>.image = [<span class="keyword">self</span> imageWithName:@&quot;Rectangle&quot; insets:UIEdgeInsetsMake(25, 35, 25, 35)];</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        [<span class="keyword">self</span>.imageBackgroundView mas_remakeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            make.edges.equalTo(self).insets(UIEdgeInsetsMake(0, 0, -15, 0));</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        }];</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        [_container mas_remakeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            make.edges.equalTo(self.contentView).insets(UIEdgeInsetsMake(10, 15, 5, 15));</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        }];</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="keywordflow">if</span> (indexPath.row == 0) {</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            <span class="keyword">self</span>.imageBackgroundView.image = [<span class="keyword">self</span> imageWithName:@&quot;Rectangle1&quot; insets:UIEdgeInsetsMake(17, 35, 0, 35)];</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            [<span class="keyword">self</span>.imageBackgroundView mas_remakeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;                make.edges.equalTo(self);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            }];</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            [_container mas_remakeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                make.edges.equalTo(self.contentView).insets(UIEdgeInsetsMake(10, 15, 0, 15));</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;                </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            }];</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (indexPath.row == rowCount - 1) {</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            <span class="keyword">self</span>.imageBackgroundView.image = [<span class="keyword">self</span> imageWithName:@&quot;Rectangle3&quot; insets:UIEdgeInsetsMake(0, 35, 28, 35)];</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            [<span class="keyword">self</span>.imageBackgroundView mas_remakeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;                make.edges.equalTo(self).insets(UIEdgeInsetsMake(0, 0, -15, 0));</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            }];</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            [_container mas_remakeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;                make.edges.equalTo(self.contentView).insets(UIEdgeInsetsMake(0, 15, 5, 15));</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;                </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            }];</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            <span class="keyword">self</span>.imageBackgroundView.image = [<span class="keyword">self</span> imageWithName:@&quot;Rectangle2&quot; insets:UIEdgeInsetsMake(0, 35, 0, 35)];</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            [<span class="keyword">self</span>.imageBackgroundView mas_remakeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;                make.edges.equalTo(self).insets(UIEdgeInsetsMake(0, 0, 0, 0));</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            }];</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            [_container mas_remakeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;                make.edges.equalTo(self.contentView).insets(UIEdgeInsetsMake(0, 15, 0, 15));</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;                </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            }];</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        }</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    }</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;}</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_background_table_view_cell_html"><div class="ttname"><a href="interface_background_table_view_cell.html">BackgroundTableViewCell</a></div><div class="ttdef"><b>Definition:</b> <a href="_background_table_view_cell_8h_source.html#l00011">BackgroundTableViewCell.h:12</a></div></div>
<div class="ttc" id="ainterface_background_table_view_cell_html_aadb68ed27754e33957cffdee9a1204cb"><div class="ttname"><a href="interface_background_table_view_cell.html#aadb68ed27754e33957cffdee9a1204cb">-[BackgroundTableViewCell imageWithName:insets:]</a></div><div class="ttdeci">UIImage * imageWithName:insets:(NSString *imgName,[insets] UIEdgeInsets insets)</div><div class="ttdef"><b>Definition:</b> <a href="_background_table_view_cell_8m_source.html#l00001">BackgroundTableViewCell.m:37</a></div></div>
<div class="ttc" id="ainterface_background_table_view_cell_html_af04f185b09948944be22d537656b5ec6"><div class="ttname"><a href="interface_background_table_view_cell.html#af04f185b09948944be22d537656b5ec6">BackgroundTableViewCell::imageBackgroundView</a></div><div class="ttdeci">UIImageView * imageBackgroundView</div><div class="ttdef"><b>Definition:</b> <a href="_background_table_view_cell_8h_source.html#l00012">BackgroundTableViewCell.h:12</a></div></div>
<div class="ttc" id="a_background_table_view_cell_8h_html"><div class="ttname"><a href="_background_table_view_cell_8h.html">BackgroundTableViewCell.h</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_58116f0956a3b8f0aff41852036238d2.html">View</a></li><li class="navelem"><a class="el" href="_background_table_view_cell_8m.html">BackgroundTableViewCell.m</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
